/*******************************************************************************
*   Author       -  Kiraly Tibor
*                   www.tkiraaly.hu
*   Date         -  2016.03.20.
*   Chip         -  AVR
*
*   kbutton - nyomogomb kezelo objektum 
*
*   Az objektum a nyomogombok kezelesere szolgal.
*   A gombot a fold es a kivalasztott lab koze kell kotni.     
*   A construktor-nak meg kell adni a labat, lasd "tkiraaly_kpin.h".
*   A lab  fel lesz huzva a belso ellenallassal.
*   Az objektum pergesmentesen kezeli a gombot.
*   Az objektum a gomb lenyomaskor csak egyszer ad ki 1-et.
*   
*******************************************************************************/
#ifndef tkiraaly_kbutton
#define tkiraaly_kbutton




#include <util/delay.h>
#include "tkiraaly_kpin.c"




class kbutton
{
   public:
      kbutton( U8);                    // constructor
      U8 check();                      // lekerdezes
   private: 
      U8 _pin;                         // melyik lab
      U8 _state;                       // gomb allapota
};




kbutton::kbutton( U8 pin)              // constructor
{
   _pin= pin;
   kpin_pullup( pin);                  // bemenet/felhuzas
   _state= 1;                          // gomb alapallapota
}




U8 kbutton::check( void)                // lekerdezes
{
   U8 a= 0;
   if ( kpin_rd( _pin) != _state )
   {
      _delay_ms( 30);                  // esetleges perges miatt varakozas
      if ( kpin_rd( _pin) != _state )
      {
         if ( _state)                  // allapot valtas
         {
            _state= 0;
            a= 1;                      // 1-0 valtas eseten
         }
         else _state= 1;
      }
   }
   return a;
}




#endif
