/*******************************************************************************
*   Author       -  Kiraly Tibor
*                   www.tkiraaly.hu
*   Date         -  2016.03.20.
*   Chip         -  AVR
*
*   kled - LED kezelo objektum 
*
*   Az objektum LED-ek kezelesere szolgal.
*   A LED katodjat egy ellenallason keresztüla a labra kell kotni, az anodjat a tapra.     
*   A construktor-nak meg kell adni a labat, lasd "tkiraaly_kpin.h".
*   Alaphelyzetben a LED ki lesz kapcsolva.
*   
*******************************************************************************/




#ifndef tkiraaly_kled
#define tkiraaly_kled




#include "tkiraaly_kpin.c"




class kled
{
   public:
      kled( U8);                       // constructor
      void on();                       // bekapcsolas
      void off();                      // kikapcsolas
   private: 
      U8 _pin;                         // melyik lab
};




kled::kled( U8 pin)                    // constructor
{
   _pin= pin;
   kpin_1( pin);
   kpin_output( pin);
}




void kled::on()                        // bekapcsolas
{
   kpin_0( _pin);
}




void kled::off()                       // kikapcsolas
{
   kpin_1( _pin);
}




#endif
